@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700;900&display=swap');

* {
    margin: 0;
    padding: 0;
    font-family: 'Roboto', sans-serif;
}

body {
    background-color: #1f2937;
}

main {
    max-width: 800px;
    margin: 0 auto;
    padding: 16px 8px;
}

.perfil-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 32px;
}

.perfil-section h1 {
    font-size: 2.5em;
    color: #3acfd5;
}

.perfil-section h2 {
    font-size: 1.8em;
    color: #3acfd5;
}


.photo-perfil {
    border-radius: 100%;
    width: 256px;
    padding: 8px;
    background: linear-gradient(to top, #3acfd5 0%, #3a4ed5 100%);
    box-sizing: border-box;
}

.link-icones {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 48px;
}

.svgContainer{
    cursor: pointer;
}
.svgContainer path.st0 {
    fill: white;

}

.svgContainer:hover path.st0 {
    cursor: pointer;
    fill: #3acfd5;
}

.icons {
    font-size: 40px;
    color: white;
}

.icons:hover {
    cursor: pointer;
    color: #3acfd5;
}

.center {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.projects-section {
    margin: 64px 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.projects-section h2 {
    color: #3acfd5;
    text-align: center;
    font-size: 1.8em;
    font-weight: 500;
    margin-bottom: 16px;
}

.project-container {
    display: flex;
    flex-direction: column;
    gap: 8px;
    width: 100%;
    max-width: 600px;
}

.project-cell {
    overflow: hidden;
    display: flex;
    justify-content: space-between;
    align-items: center;

    background-color: rgb(255, 255, 255);
    border: 2px solid transparent;
    border-radius: 8px;
}

.project-cell:hover {
    border: 2px solid #3acfd5;
}

.link-nome {
    text-align: center;
    font-size: 18px;
    font-weight: 600;
    padding: 8px 16px;
}

.repository {
    border-left: 1px solid black;
    border-right: 1px solid black;
    padding: 8px 16px;
}

.repository:hover {
    cursor: pointer;
    background-color: #3acfd5;
}

.link {
    padding: 8px 16px;
    color: black;
}

.link:hover {
    cursor: pointer;
    background-color: #3acfd5;
}